Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
SohoFox Posted on 27/07/2020 11:32
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message
 
BR takes us to our 2nd highest place ever since the Premier League was formed 28 years ago.
And our 5th highest ever position in our history - 136 years.
And straight into the group stages of Europa League.
And most on here want him tin-tacked and out of the door with immediate effect.
You couldn't make this up!

And if we did bin him off he would be snapped up by a major club within days of us paying him off with about £40 million English Smackeroonies.

Well done!
IP: Logged
stivesblue Posted on 27/07/2020 11:35
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Unbelievable, if I didnít know better I would think most on here have only supported city for a couple of years.
IP: Logged
Oadlad Posted on 27/07/2020 11:44
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
I'm afraid there is a small group on here who should be let nowhere near a football forum.
And the same for the politics. [rle]
IP: Logged
thringyfox Posted on 27/07/2020 11:53
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Football forum?
IP: Logged
TartanFox Posted on 27/07/2020 11:57
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
As chief rabble rouser in the Taylor years Soho I am surprised you are being so forgiving this time around.
IP: Logged
hidewalkamillionmiles Posted on 27/07/2020 12:02
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
I am not a legal expert but think if he immediately
picked up another job then the compensation
would be greatly reduced[:D]
IP: Logged
longstopper Posted on 27/07/2020 12:02
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Rodgers is going nowhere and the good people of Bentleysroof will have to live with it.
We played some great football earlier and some dreadful stuff later . Thatís it.
New season to look forward to and possibly a night or two in Europe.
Happy days.💙💙
IP: Logged
SohoFox Posted on 27/07/2020 12:13
So In His First Full Season as Manager
Edited On: 27/07/2020 12:16
Report Message | Email Message To A Friend | Reply To Message 

 
Not true Hide.
If he were to get another job before agreeing a settlement with LCFC then yes his pay-out would be greatly reduced.
But they all make sure they agree the pay-off with their old club first and then they magically join a new club very quickly after that.
Might be some horse trading around that but thats how it works basically.
IP: Logged
SohoFox Posted on 27/07/2020 12:28
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Taylor was a fraud of a manager.
Destroyed a very decent team which MON left behind.
He took a team that was top 4 at Xmas and managed to finish 13th losing 9 out of the last 10 games.
Rodgers has taken a team from 3rd to 5th in the middle of a pandemic.
How is that comparable?
Taylor's only claim to fame before us as a manager was Dover Athletic and Gillingham ffs!
IP: Logged
hidewalkamillionmiles Posted on 27/07/2020 12:32
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
I bow to your greater knowledge Soho[:D]
IP: Logged
sixthswan Posted on 27/07/2020 12:47
So In His First Full Season as Manager
Edited On: 27/07/2020 12:47
Report Message | Email Message To A Friend | Reply To Message 

 
Brendan is too defensive-minded for my liking. In both games against Man Ure, we could have won with a less defensive set up.

Rodgers had the same problem at his other clubs. In the BIG games, he errs too much on the side of caution.

If we retain our best players and they return to fitness for next season; then I'm still hopeful for the new campaign. Though I'm not feeling postive about quality new additions.

This squad has shown this season that they can complete extended runs of great form and sometimes, absolutely annihilate the opposition.

If Brendan could shift focus more toward attack and less about defensiveness and pointless passing; then things could be good. He needs to trust his players to manage games more themselves. We have pace, youth and devestating counter-attacking qualities.

He over-manages.
IP: Logged
SohoFox Posted on 27/07/2020 12:52
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Well that would be a faacking first!!!!!
IP: Logged
collibosher70 Posted on 27/07/2020 12:52
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Whilst I'm not his biggest fan this isn't his team...Will be interesting to see who he releases and brings in.
But yes he's far to defensive minded sometimes and his substitutions are a tad erratic
IP: Logged
bnet Posted on 27/07/2020 13:14
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
if you bet on a horse that was in second place after the halfway mark and miles clear of the 5th horse. Then it was easilly over taken by 3 others and was going backwards and looking like a donkey, would you bet it in the next race ?
IP: Logged
bnet Posted on 27/07/2020 13:17
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
if you bet on a horse that was in second place after the halfway mark and miles clear of the 5th horse. Then it was easilly over taken by 3 others and was going backwards and looking like a donkey, would you bet it in the next race ?
IP: Logged
Filbo65 Posted on 27/07/2020 13:16
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
The window's open.
Why haven't we signed anyone yet?
IP: Logged
Oadlad Posted on 27/07/2020 13:20
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Two points - it's easy to manage after the match, and, if we had started the season with Sunday's line up do you think we would have streaked up to third? Not much caution on view up to Christmas.
The difference between us and the West Hams, Palaces and Southamptons is that when most of our squad are fit we know we are very good. They know they aren't.
IP: Logged
Daz40 Posted on 27/07/2020 13:24
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
That would say to me that the horse set off too quickly and the others judged the field better.
IP: Logged
GTIF Posted on 27/07/2020 13:28
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Yes bnet as the stable was clearly stopping it for a gamble next time out
IP: Logged
TartanFox Posted on 27/07/2020 13:42
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
As I said on a different thread I can see both sides of the argument.

However, I think there is a healthy debate to be had about how it all went a bit ugly after we cuffed Villa 4-1 in December.

Our form fell off a cliff and the highly paid manager was unable for whatever reason to redress that slide. That needs a level of scrutiny at the very least.

Secondry to that is why wasn't he backed in January in the transfer market to improve the quality of the squad? That isn't Rodgers fault, but Stevie Wonder could see we were thin on quality and numbers. We seriously lacked an experienced head in the middle of midfield and real quality out wide, which many on here had noted even during the brilliant run of wins.

Thirdly whoever approved Ryan Bennett's signing needs marching out the door tout-suite.

We took 2 points from 24 against the top 4, scoring 5 and conceeding 16 (we took nothing from the top 3) and we managed 8 from 18 against the relegated sides.

Such small margins, but worth talking about how he couldn't get the job done when he'd got us in to such a strong position.
IP: Logged
hackneyfox Posted on 27/07/2020 13:58
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Sixth
He set up defensively in the away game at Man U as it was early season and we still weren't sure just how good Soyuncu would be.

We didn't set up defensively against Tottenham last week and were blown away in the first few minutes, due to rthat I think he decided to contol the game against Man U and hit them when they started to tire. If we hadn't have gifted them a goal that may have worked.
IP: Logged
northleicsblue Posted on 27/07/2020 14:01
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
As an elite sports person I would expect him to be having these conversations with somebody, but I suspect ( with no evidence I admit) that his arrogance might get in the way.

Iíd bin him off for a top manager with some decent experience in Europe.
IP: Logged
billsballbag Posted on 27/07/2020 14:04
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
In mitigation, the lockdown allowed all the big clubs to get their full squads fit.

Anyone remember how sheeeite we were a decade ago?

Jeez.
IP: Logged
Oadlad Posted on 27/07/2020 14:11
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
But if the horse had picked up a muscle strain at around the halfway point, which, with time, healed for future races?
BR does not operate in a bubble, it is a three man group which is at the sharp end of team selection and tactics.
And he is a top manager, there is not a queue waiting to come here, really...
IP: Logged
youlittleripper Posted on 27/07/2020 14:30
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
I think its less about points in the case of basic neglect from Brendan than the fact he talked the club down from the moment we lost on Boxing Day. He's been out thought in every single match by top 4 teams both this season and the end of last. 8 games and not a single win. Its a small minded mentality and I feel he talked us into where we've ended up.

Put the injuries to one side and look at our closing fixtures....Brighton, Palace, Bournemouth, Watford and Everton. Without question all of them on a form table after lockdown score badly and they were poor before - the Man Utd game should never have mattered.

Too busy trying to out think himself (you won't see a worse peace of decision making than taking off Nacho at half time at Bournemouth) and his deflection is incredible - Pearson like!

Its a Celtic in Europe mentality and its negative football.
IP: Logged
SohoFox Posted on 27/07/2020 14:37
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Didn't we beat Palace and Sheff Utd in those 8 games?
IP: Logged
Silas_Stingy Posted on 27/07/2020 14:39
So In His First Full Season as Manager
Edited On: 27/07/2020 14:40
Report Message | Email Message To A Friend | Reply To Message 

 
I remember how sheeite we were a decade ago, I also remember that we didn't have the 7th highest wage bill or 3rd highest paid manager in British football then. You have to judge the performance in context, 10 years ago is irrelevant.
We have finished in a slightly better position than our financial clout would suggest, I'm happy to accept that. But let's not pretend we're little Leicester fighting 5,000-1 odds anymore because it's simply not true.
We we're tipped by pretty much every pundit to be an outside bet for a top 4 finish, so where we finished isn't a huge surprise. If Brendan is willing to accept a huge salary comparable to Guardiola and Klopp then he won't be immune from criticism, especially when his team doesn't match its status over a prolonged form period.
IP: Logged
hackneyfox Posted on 27/07/2020 15:44
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Does anyone seriously believe that he says the same to the players as he does to the media?
IP: Logged
glimmer Posted on 27/07/2020 19:23
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Agree with your original post Soho

Racked up over 50 years of supporting City and can't remember a time when we were in such a good position:
Fantastic owners
Exciting and largely young team which will get better
Respected manager
New(ish) ground
State of the art training facilities
European football
and I'm sure there are other things I'm missing

And despite all this, there are people on this board who still find something to complain about

They clearly haven't supported Leicester for long or have very short memories

May these bad times continue!
IP: Logged
Bruin Posted on 27/07/2020 19:37
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Not true, Soho. Wrong again!

There have been many high profile managers put on gardening leave to be paid monthly until their contracts end. C/f NFP, here. If they wish to take another job their payments end there and then.

If this befell our current manager it would place the ball firmly in his court, and he would have a v difficult choice to make: sit on his aris for four-and-a-half years counting dosh but with no other involvement in the game (after which it's a case of Brendan who?), or get another contract toute suite to recover some lost kudos and repair his rep.

All the Club needs to do is hold its nerve, and judging by Rodgers' touchline tells he'll blink before 'Cold Eye' Top warms up for the start of the game.

BLUE ARMY !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
IP: Logged
SohoFox Posted on 27/07/2020 19:48
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Disagree. Those who agree to go on gardening leave are poorly advised.
IP: Logged
neverbemastered Posted on 27/07/2020 19:53
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Have followed this club also over 50 years and things have never been as good, 5th in the league, and I swear it's only because of that virus that the momentum was stopped cause of no fans.
Superb owners
In Europe, we didn't half miss it this year just gone,
Brilliant squad
And the list goes on including a very good manager
Might even have a pop a the elusive fa cup this season with our set up,

Some people have no sense.
IP: Logged
Oadlad Posted on 28/07/2020 11:44
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
[^]
(seventy years and never a dull moment!)
IP: Logged
Filbo65 Posted on 28/07/2020 12:01
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
I'd fancy us to get to the Cub 1/4s again, but at the moment cannot see BFR plotting a way for us to start winning the big games that really matter. He hasn't done it once with us yet.
IP: Logged
youlittleripper Posted on 28/07/2020 14:57
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Even through the run of wins you'd struggle to slot 3 games back to back (maybe even 2) where we were anything less than average and at times disjointed or slow in transition. If you want to be in the top 4 you can't operate that way.

Some of the points we picked up (Wolves is a good example) was as much due to luck as anything and the opposition either with a manager of the verge of the sack of them being down to 10 men.

That luck ran out for the final run and we did nothing from front to back to make it happen.
IP: Logged
scoops Posted on 28/07/2020 15:15
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Something was badly wrong that we lost to all of the top sides and also to most of the bottom sides .

At the top, their quality over us was evident. At the bottom, we seemed unable to find a way of winning and had no plan B against anyone sitting deep.

All we had to do was get a couple of results from Watford, Everton, Brighton and Bournemouth but couldnít manage it.

My concern is the relegation form going into next season with the added Europa travel and Thursday games.
IP: Logged
Brauny Posted on 28/07/2020 16:36
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Slump this slump that. It would be of far greater concern to me if it applied to the players that got us into a great position.
We clearly had two Leicester City's this season. The one that started the season and were worthy of being top 4.
And the one that finished the season that was depleted of its best performers, and would struggle to make the top half.
The thinness of the squad was being exposed by the time Liverpool got their hands on us. Yet we see time and time again people on here not understanding or being ignorant to the fact, that Brendan did not have the luxuries he could call upon when the team was forced into changes.
Suggesting he didn't have a clue given the circumstances, shows just how shallow and fickle people on here are. If Brendan's squad would of allowed him to replace like for like, then there is every reason to believe that we would of achieved a very special season.
IP: Logged
hidewalkamillionmiles Posted on 28/07/2020 16:55
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Seem to remember we had a very good chance to get to Wembley against a very poor Villa side and he played two defensive midfield players at home.
Seem to remember we had Bournemouth on the ropes and they lost their best defender and he took a striker off and we got blown away.
He continued to player Vardy isolated up front week after week
He bought Perez and stuck the bloke out wide , bloke was out of his depth
Told us he was impressed with Ryan Bennett when he bought him in on loan
Not a great start[:D]
IP: Logged
glimmer Posted on 28/07/2020 16:59
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
And despite all these shortcomings we finished 5th

Cant beat having a lucky manager
IP: Logged
Oadlad Posted on 28/07/2020 17:04
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
There is no 'plan B' to deal with sides who sit off. If there was they wouldn't try it.
Scoring before them is the best way to get them out. That means fast starts which doesn't give them time to settle.
Otherwise it is about picking locks and the longer that takes the more settled and confident they become. Perhaps, as I said recently it is time for a big man who can beat them in the air is the way if only as a late sub, Giruod style..
Or staring games with both sides on nil points. 0=0, no points.
IP: Logged
hidewalkamillionmiles Posted on 28/07/2020 17:32
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
The first half of next season will be the decider
Not good for the club with so many not happy [:D]
IP: Logged
Oadlad Posted on 28/07/2020 18:04
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Says our resident expert without a shred of evidence..[rle]
IP: Logged
TheAddersFox Posted on 28/07/2020 19:05
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Get rid
IP: Logged
youlittleripper Posted on 29/07/2020 14:47
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
We had a full strength team against Liverpool Brauny - we didn't lose that because of the thinnest of our squad but their lack of confidence and bravery and failing that the lack of sheer effort. Didn't help that Liverpool were at their peak at that time. Nobody would've lived with them.

Plus Brauny it was Brendans exact decision making that took Nacho off at halftime in the Bournemouth game. It was also the lack of game management that completely through away what should've been a winner in injury time against Watford. If those are the kind of results you'd expect from an experienced manager with his 'hands tied' then that just doesn't stack up.
IP: Logged
veuvecliquot Posted on 29/07/2020 14:59
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Soho in positive post shock!

Record since resumption:P10 W2 D3 L5 F7 A14 Pts. 9/30

That's relegation form in anyone's book. Not to mention also a limp exit from the Cup.

Just sayin', mind.
IP: Logged
Filbo65 Posted on 29/07/2020 16:49
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Not quite 'relegation form in anyone's book'.
We were 16th in the form table after the restart.
IP: Logged
hackneyfox Posted on 29/07/2020 17:29
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
'limp exit from the cup'

If you mean Villa then we absolutely destroyed them, their goalie had the best two games of his life. 41 shots to their 12 is hardly limp.

IP: Logged
Filbo65 Posted on 29/07/2020 18:39
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Need to be a bit careful, hackers. That's only one or two steps away from claiming that you deserve to win because you had more possession...[;)]
IP: Logged
Brauny Posted on 29/07/2020 20:50
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
YLR, as I said in another thread we had EIGHT games in December, until that point the starting 11 were playing great football and crucially most of the games, but it was catching up with them.
In what was a big game at the time Rodgers sent out that same line up again, but it was a game too far. The warning signs were there, when Norwich got the draw at the KP, and Man City started to dismantle us.
I am absolutely certain that if he could of replaced like for like he would of done it.
That couldn't be done so a leg weary team got mullered by a top class outfit who were bang in form.
After Liverpool BR knew his team needed a rest and in the following game against West Ham he made NINE changes. We won 2-1. Great management, but something that his detractors on here wont give him credit for.
If BR had not made those changes then I am certain that the team would of suffered a poor result against the Hammers.

YLR, you refer to the Bournemouth and the Watford game.
I criticized Brendan for the 1st two restart games, because they looked under prepared. So I am trying to give balance to my opinion, that is something that a lot of people totally fail to do. In many cases there is no common sense to the logic being applied by posters on here. Its just the manager is a 'bottler' or 'clueless' but no reasonable explanation beyond the poor results.
Regarding the Bournemouth game, I have also said that even the greatest managers(pep) make mistakes. Maybe that was a mistake, but that leads me to the abuse that BR has got on here for his 'clueless' substitutions.
Strange that considering that unless there are injuries then most substitutions are made in the 2nd half and usually from about the 60min mark onwards.
The stats tell you that Leicester scored 43 goals in the 2nd halves this season, only Liverpool scored more. That doesn't sound like a manager that was 'clueless' and bucked up his substitutions.
He deserves more credit than the hate mob on here give him.
IP: Logged
hackneyfox Posted on 29/07/2020 20:57
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
[^]
IP: Logged
walthamstowfox Posted on 29/07/2020 21:14
So In His First Full Season as Manager

Report Message | Email Message To A Friend | Reply To Message 

 
Well said Brauny
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103